import { HttpRequestSender } from '@dmitryrechkin/request-sender-core';
import { type TypeNylasAuthentication } from './Type/NylasAuthentication.js';
export declare class NylasRequestSender extends HttpRequestSender {
    private auth;
    /**
     * Constructor.
     *
     * @param {TypeNylasAuthentication} auth
     */
    constructor(auth: TypeNylasAuthentication);
    /**
     * Sends a request to the Nylas API
     *
     * @param {string} path - The endpoint URL
     * @param {RequestInit} options - The request options (method, headers, body, etc.)
     * @param {boolean} includeGrantId - Whether to include the grant ID in the URL
     * @returns {Promise<Response>} - A promise that resolves to the response
     */
    send(path: string, options?: RequestInit, includeGrantId?: boolean): Promise<Response>;
}
