import { type RequestSenderInterface, type RequestSenderFactoryInterface } from '@dmitryrechkin/request-sender-core';
import { type TypeNylasAuthentication } from './Type/NylasAuthentication.js';
export declare class NylasRequestSenderFactory implements RequestSenderFactoryInterface {
    private auth;
    /**
     * Constructor.
     *
     * @param {Partial<TypeNylasAuthentication>} auth - The authentication overrides.
     */
    constructor(auth: Partial<TypeNylasAuthentication>);
    /**
     * Creates a new request sender instance.
     *
     * @param {Partial<TypeNylasAuthentication>} auth - The authentication overrides.
     * @returns {RequestSenderFactoryInterface} - The request sender instance
     */
    create(auth?: Partial<TypeNylasAuthentication>): RequestSenderInterface;
}
