import {} from '@dmitryrechkin/request-sender-core';
import {} from './Type/NylasAuthentication.js';
import { NylasRequestSender } from './NylasRequestSender.js';
export class NylasRequestSenderFactory {
    auth;
    /**
     * Constructor.
     *
     * @param {Partial<TypeNylasAuthentication>} auth - The authentication overrides.
     */
    constructor(auth) {
        this.auth = {
            apiKey: '',
            apiUrl: '',
            grantId: '',
            ...auth
        };
    }
    /**
     * Creates a new request sender instance.
     *
     * @param {Partial<TypeNylasAuthentication>} auth - The authentication overrides.
     * @returns {RequestSenderFactoryInterface} - The request sender instance
     */
    create(auth = {}) {
        return new NylasRequestSender({ ...this.auth, ...auth });
    }
}
